Subject: Re: 23.1.50; bad function name: browse-url-default-browser

From: Leo <[email-masked]>
Date: Wed, 13 Jul 2011 09:56:28 +0800

On 2011-07-13 05:37 +0800, Lars Magne Ingebrigtsen wrote:
> I think the function name is clear enough, and renaming it would
> introduce churn for little extra gain, so I'm closing this report.

Lars,

The function name is misleading in that it does not find the default
browser on the OS to open url. For example, on OSX, it opens up an
xterm, which is ridiculous to most OSX users.

Changing a function name to better introduces no churn and helps 3rd
party developers improve their code.

Cheers,
Leo